commit: aa5bb2c2b8a0f3fc89115184b2e52ad3ed5bec25
Author: Nicholas Vinson <nvinson234 <AT> gmail <DOT> com>
AuthorDate: Sat Mar 19 18:39:54 2016 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 21:19:16 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aa5bb2c2
net-print/hplip-plugin: Adding hplip-plugin ebuilds
Some HP printers need binary-only plugins to function. These ebuilds
provided the needed binaries for all versions supported by hplip and are
available in portage. Specifically the versison are:
hplip-plugin-3.14.10.ebuild
hplip-plugin-3.15.11.ebuild
hplip-plugin-3.16.2.ebuild
Gentoo-Bug: https://bugs.gentoo.org/352439
Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1087
net-print/hplip-plugin/Manifest | 3 +
net-print/hplip-plugin/hplip-plugin-3.14.10.ebuild | 69 ++++++++++++++++++++++
net-print/hplip-plugin/hplip-plugin-3.15.11.ebuild | 69 ++++++++++++++++++++++
net-print/hplip-plugin/hplip-plugin-3.16.2.ebuild | 69 ++++++++++++++++++++++
net-print/hplip-plugin/metadata.xml | 15 +++++
5 files changed, 225 insertions(+)
diff --git a/net-print/hplip-plugin/Manifest b/net-print/hplip-plugin/Manifest
new file mode 100644
index 0000000..edb7660
--- /dev/null
+++ b/net-print/hplip-plugin/Manifest
@@ -0,0 +1,3 @@
+DIST hplip-3.14.10-plugin.run 1869038 SHA256
b395b480ad86b9f27b6a2f63b6ecb00beb78e762a6137efb81dc1104837f9b81 SHA512
3e5bea924e989d902aea0de182941be692a124ba8c27f53ce2e4f137308bad8373462c6128c26716e481e758f76533163d311a2676df034c1b15d6ef6ed008be
WHIRLPOOL
18375de4cc92cb73bcaa109927bd34f8487938b02472f0b7adbf44ad4688e5c6a1d030077b1e3c14f15f9b8e4cc86d195b0195e2d08121f746c62624db4658db
+DIST hplip-3.15.11-plugin.run 2084268 SHA256
a986ca52c6436f2ce87ad6a11fe0d7880797fbb0d940f23f6a928434bc193102 SHA512
bb36e6c9460bb3afa1b88ae93ba344fd2b9ec8194bd0766c1998657068b57540cbab2558180651e5492a338d7aefa23f203aa1190e39e22cfb51b7fda1383096
WHIRLPOOL
9fef992e0a32566d414fec83af49700303634c3e3fe0bc7667423f91fcd16bfc75cbbcba77914e261d773ad8fe2efa27eaac1a662731e87591758cbc713159c2
+DIST hplip-3.16.2-plugin.run 2084269 SHA256
47202db87a7092bc8dbeab0843ab1cd4923a835a20401c538978a3360a372326 SHA512
22c93a8eada5fb03d108224cb60266f4449b6a3c159ce08b6895268f4c51e9b0bf3c754e52b73004ffd6e2147d0d9411b3c6374c2606a991f5596962bba7c07d
WHIRLPOOL
570c2e827c8177a79c25e6723f00d81cd03582a69c5bc73ed12f794b70b976f0957b40cf6d2d1e039228e524a7c4dec0e44d5f28773bcc4b326a0dca76cda8fa
diff --git a/net-print/hplip-plugin/hplip-plugin-3.14.10.ebuild
b/net-print/hplip-plugin/hplip-plugin-3.14.10.ebuild
new file mode 100644
index 0000000..8408448
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.14.10.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit udev unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="http://hplipopensource.com/hplip-web/index.html"
+SRC_URI="http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-${PV}-plugin.run"
+
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ ~net-print/hplip-${PV}
+ virtual/udev
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PRESTRIPPED="
+ /usr/share/hplip/fax/plugins/fax_marvell.so
+ /usr/share/hplip/prnt/plugins/hbpl1.so
+ /usr/share/hplip/prnt/plugins/lj.so
+ /usr/share/hplip/scan/plugins/bb_marvell.so
+ /usr/share/hplip/scan/plugins/bb_soapht.so
+ /usr/share/hplip/scan/plugins/bb_soap.so
+"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_unpack() {
+ unpack_makeself "hplip-${PV}-plugin.run"
+}
+
+src_install() {
+ local hplip_arch=$(use amd64 && echo 'x86_64' || echo 'x86_32')
+
+ insinto "${HPLIP_HOME}"/data/firmware
+ doins *.fw.gz
+
+ for plugin in *-${hplip_arch}.so; do
+ local plugin_type=prnt
+ case "${plugin}" in
+ fax_*) plugin_type=fax ;;
+ bb_*) plugin_type=scan ;;
+ esac
+
+ exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+ newexe ${plugin} ${plugin/-${hplip_arch}}
+ done
+
+ mkdir -p "${ED}/var/lib/hp/"
+ cat >> "${ED}/var/lib/hp/hplip.state" <<-_EOF_
+ [plugin]
+ installed = 1
+ eula = 1
+ version = ${PV}
+ _EOF_
+}
diff --git a/net-print/hplip-plugin/hplip-plugin-3.15.11.ebuild
b/net-print/hplip-plugin/hplip-plugin-3.15.11.ebuild
new file mode 100644
index 0000000..8408448
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.15.11.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit udev unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="http://hplipopensource.com/hplip-web/index.html"
+SRC_URI="http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-${PV}-plugin.run"
+
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ ~net-print/hplip-${PV}
+ virtual/udev
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PRESTRIPPED="
+ /usr/share/hplip/fax/plugins/fax_marvell.so
+ /usr/share/hplip/prnt/plugins/hbpl1.so
+ /usr/share/hplip/prnt/plugins/lj.so
+ /usr/share/hplip/scan/plugins/bb_marvell.so
+ /usr/share/hplip/scan/plugins/bb_soapht.so
+ /usr/share/hplip/scan/plugins/bb_soap.so
+"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_unpack() {
+ unpack_makeself "hplip-${PV}-plugin.run"
+}
+
+src_install() {
+ local hplip_arch=$(use amd64 && echo 'x86_64' || echo 'x86_32')
+
+ insinto "${HPLIP_HOME}"/data/firmware
+ doins *.fw.gz
+
+ for plugin in *-${hplip_arch}.so; do
+ local plugin_type=prnt
+ case "${plugin}" in
+ fax_*) plugin_type=fax ;;
+ bb_*) plugin_type=scan ;;
+ esac
+
+ exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+ newexe ${plugin} ${plugin/-${hplip_arch}}
+ done
+
+ mkdir -p "${ED}/var/lib/hp/"
+ cat >> "${ED}/var/lib/hp/hplip.state" <<-_EOF_
+ [plugin]
+ installed = 1
+ eula = 1
+ version = ${PV}
+ _EOF_
+}
diff --git a/net-print/hplip-plugin/hplip-plugin-3.16.2.ebuild
b/net-print/hplip-plugin/hplip-plugin-3.16.2.ebuild
new file mode 100644
index 0000000..8408448
--- /dev/null
+++ b/net-print/hplip-plugin/hplip-plugin-3.16.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit udev unpacker
+
+DESCRIPTION="Proprietary plugins and firmware for HPLIP"
+HOMEPAGE="http://hplipopensource.com/hplip-web/index.html"
+SRC_URI="http://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-${PV}-plugin.run"
+
+LICENSE="hplip-plugin"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+ ~net-print/hplip-${PV}
+ virtual/udev
+"
+DEPEND=""
+
+S=${WORKDIR}
+
+HPLIP_HOME=/usr/share/hplip
+
+# Binary prebuilt package
+QA_PRESTRIPPED="
+ /usr/share/hplip/fax/plugins/fax_marvell.so
+ /usr/share/hplip/prnt/plugins/hbpl1.so
+ /usr/share/hplip/prnt/plugins/lj.so
+ /usr/share/hplip/scan/plugins/bb_marvell.so
+ /usr/share/hplip/scan/plugins/bb_soapht.so
+ /usr/share/hplip/scan/plugins/bb_soap.so
+"
+
+# License does not allow us to redistribute the "source" package
+RESTRICT="mirror"
+
+src_unpack() {
+ unpack_makeself "hplip-${PV}-plugin.run"
+}
+
+src_install() {
+ local hplip_arch=$(use amd64 && echo 'x86_64' || echo 'x86_32')
+
+ insinto "${HPLIP_HOME}"/data/firmware
+ doins *.fw.gz
+
+ for plugin in *-${hplip_arch}.so; do
+ local plugin_type=prnt
+ case "${plugin}" in
+ fax_*) plugin_type=fax ;;
+ bb_*) plugin_type=scan ;;
+ esac
+
+ exeinto "${HPLIP_HOME}"/${plugin_type}/plugins
+ newexe ${plugin} ${plugin/-${hplip_arch}}
+ done
+
+ mkdir -p "${ED}/var/lib/hp/"
+ cat >> "${ED}/var/lib/hp/hplip.state" <<-_EOF_
+ [plugin]
+ installed = 1
+ eula = 1
+ version = ${PV}
+ _EOF_
+}
diff --git a/net-print/hplip-plugin/metadata.xml
b/net-print/hplip-plugin/metadata.xml
new file mode 100644
index 0000000..ab77693
--- /dev/null
+++ b/net-print/hplip-plugin/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Nicholas Vinson</name>
+ <description>Proxy maintainer to be assiged bugs</description>
+ </maintainer>
+ <maintainer type="project">
+ <email>[email protected]</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <use>
+ </use>
+</pkgmetadata>